# - Try to find Xerces-C
# Once done this will define
#
#  XERCESC_FOUND - system has Xerces-C
#  XERCESC_INCLUDE - the Xerces-C include directory
#  XERCESC_LIBRARY - Link these to use Xerces-C
#

IF (XERCESC_INCLUDE AND XERCESC_LIBRARY)
   # in cache already
   SET(XERCESC_FIND_QUIETLY TRUE)
ENDIF (XERCESC_INCLUDE AND XERCESC_LIBRARY)

FIND_PATH(
  XERCESC_INCLUDE 
  NAMES xercesc/util/XercesVersion.hpp
  PATHS c:/Libs/xerces-c_2_8_0 ${XERCES_INCLUDE_DIR} 
  PATH_SUFFIXES xercesc)

FIND_LIBRARY(
	XERCESC_LIBRARY 
	NAMES xerces-c xerces-c_2
	PATHS ${XERCES_LIBRARY_DIR})

IF (XERCESC_INCLUDE AND XERCESC_LIBRARY)
   SET(XERCESC_FOUND TRUE)
ELSE (XERCESC_INCLUDE AND XERCESC_LIBRARY)
   SET(XERCESC_FOUND FALSE)
ENDIF (XERCESC_INCLUDE AND XERCESC_LIBRARY)

IF(XERCESC_FOUND)
  IF(NOT XERCESC_FIND_QUIETLY)
    MESSAGE(STATUS "Found Xerces-C: ${XERCESC_LIBRARY}")
    MESSAGE(STATUS "              : ${XERCESC_INCLUDE}")
  ENDIF(NOT XERCESC_FIND_QUIETLY)
ELSE(XERCESC_FOUND)
  MESSAGE(FATAL_ERROR "Could not find Xerces-C")
ENDIF(XERCESC_FOUND)

MARK_AS_ADVANCED(XERCESC_INCLUDE XERCESC_LIBRARY)
